Subject: bug#65813: [PATCH] Fix elixir-ts-mode with embedded heex

From: Yuan Fu <[email-masked]>
Date: Thu, 7 Sep 2023 17:46:29 -0700

> On Sep 7, 2023, at 5:09 PM, john muhl <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>>> On Sep 7, 2023, at 1:46 PM, john muhl via Bug reports for GNU Emacs,
>>> the Swiss army knife of text editors <[email-masked]> wrote:
>>> 
>>> Tags: patch
>>> 
>>> The elixir test with embedded heex fails after d05494a9ff8. Restoring
>>> the ‘(when (eq (treesit-parser-language parser) language)’ part fixes
>>> it. The call to ‘(treesit-parser-list language)’ was not working right
>>> either since t-p-l expects the optional argument to be a buffer but
>>> language is a string like "heex".
>>> 
>> 
>> [2. text/patch; 0001-Check-embedded-languages-use-the-correct-parser.patch]...
>> 
>> 
>> Thank you very much, John. I pushed a fix to master.
> 
> You’re welcome. Tests (not just elixir) are now complaining about
> ‘treesit-local-parsers-in’ being missing.
> 
>  Test ruby-ts-indent-empty-if-else condition:
>      (void-function treesit-local-parsers-in)

Seems that I pushed some untested commits with the fix commit. I’ve fixed the problem on master. Thanks for your patience.

Yuan